// d_optim.cpp : implementation file
//

#include "stdafx.h"
#include "grphdemo.h"
#include "d_optim.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptimizeDlg dialog

COptimizeDlg::COptimizeDlg(int numNodes, CWnd* pParent /*=NULL*/)
	: CDialog(COptimizeDlg::IDD, pParent) , m_NumNodes(numNodes)
{
	//{{AFX_DATA_INIT(COptimizeDlg)
	m_NumCols = 0;
	m_NumRows = 0;
	m_NumGen = 0;
	//}}AFX_DATA_INIT
}

void COptimizeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptimizeDlg)
	DDX_Text(pDX, IDC_COLEDIT, m_NumCols);
	DDX_Text(pDX, IDC_ROWEDIT, m_NumRows);
	DDX_Text(pDX, IDC_NUM_GEN_EDIT, m_NumGen);
	DDV_MinMaxInt(pDX, m_NumGen, 1, 32000);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COptimizeDlg, CDialog)
	//{{AFX_MSG_MAP(COptimizeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptimizeDlg message handlers

BOOL COptimizeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here  
	m_NumCols = (int) ceil(sqrt(m_NumNodes+1.0)) ;
	m_NumRows = (int) ceil(sqrt(m_NumNodes+1.0)) ;
	m_NumGen = 5;
	UpdateData(FALSE) ; //trasfer to dialog controls
	return TRUE;  // return TRUE  unless you set the focus to a control
}
