// grphdvw.h : interface of the CGraphDemoView class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __WMATRIX_H__
#include "wmatrix.h"
#endif

class CGraphDemoView : public CView
{                     
	//ways of displaying the drawn graph
	enum GRAPHVIEW {GV_NONE, GV_OPTIMIZED, GV_UNOPTIMIZED} ;
	
	CWordMatrix m_Graph ;
	int m_NumNodes ; 
	GRAPHVIEW m_View ;
	BOOL m_Evolving ;
	 
protected: // create from serialization only
	CGraphDemoView();
	DECLARE_DYNCREATE(CGraphDemoView)

// Attributes
public:
	CGraphDemoDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CGraphDemoView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


// Generated message map functions
protected:
	//{{AFX_MSG(CGraphDemoView)
	afx_msg void OnGraphCreate();
	afx_msg void OnGraphOptimize();
	afx_msg void OnGraphViewOptimized();
	afx_msg void OnGraphViewUnoptimized();
	afx_msg void OnFileNew();
	afx_msg void OnUpdateGraphCreate(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGraphOptimize(CCmdUI* pCmdUI);
	afx_msg void OnGraphStop();
	afx_msg void OnUpdateGraphStop(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGraphViewOptimized(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGraphViewUnoptimized(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	afx_msg void OnUpdateAppExit(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in grphdvw.cpp
inline CGraphDemoDoc* CGraphDemoView::GetDocument()
   { return (CGraphDemoDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
